Create synonym

Create a new synonym

Creates a new synonym group.

Requires authentication.

Request

POST /synonym

Headers

HeaderValue
AuthorizationBearer <token>
Content-Typeapplication/json

Request Body

FieldTypeRequiredDescription
namestringYesDisplay name for this synonym group.
languagestringYesLanguage code this synonym group applies to (e.g. de, en).
synonymsstringYesComma-separated list of synonyms.

Example Request

{
  "name": "Shoes synonyms",
  "language": "de",
  "synonyms": "Schuhe, Schuhwerk, Stiefel"
}

Response

Returns the created synonym object.

Example Response

{
  "id": 42,
  "name": "Shoes synonyms",
  "language": "de",
  "synonyms": "Schuhe, Schuhwerk, Stiefel"
}
Body Params
string
string

The language to apply the synonyms to

string

Comma-separated list of synoynms

Headers
string
required

Makaira Instance ID

Response
200

OK

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!